<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TeamOpsSpotlight',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="team-ops-spotlight">
    <SlpContainer class="team-ops-spotlight__container">
      <div class="circle-2"></div>
      <div class="circle-3"></div>
      <div class="team-ops-spotlight__content">
        <SlpRow>
          <SlpColumn :cols="6" size="lg">
            <div
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <SlpTypography
                tag="h2"
                variant="heading2-bold"
                class="team-ops-spotlight__title"
              >
                {{ data.title }}
              </SlpTypography>
            </div>
          </SlpColumn>
        </SlpRow>
        <SlpRow>
          <SlpColumn :cols="5" size="lg" class="team-ops-spotlight__col">
            <div
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <SlpTypography tag="p" variant="heading5-bold">
                {{ data.subtitle }}
              </SlpTypography>
              <SlpTypography tag="div" variant="body1" class="slp-pt-24">
                <div
                  class="team-ops-spotlight__description"
                  v-html="$md.render(data.description)"
                ></div>
              </SlpTypography>
              <SlpButton
                :href="data.button.href"
                variant="secondary"
                :data-ga-name="data.button.data_ga_name"
                :data-ga-location="data.button.data_ga_location"
                class="slp-mt-24"
              >
                {{ data.button.text }}
              </SlpButton>
            </div>
          </SlpColumn>
          <SlpColumn :cols="1"> </SlpColumn>
          <SlpColumn :cols="6" size="lg" class="team-ops-spotlight__col">
            <div
              class="team-ops-spotlight__block"
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
            >
              <SlpTypography tag="p" variant="heading5-bold">
                {{ data.list.title }}
              </SlpTypography>
              <ul>
                <li
                  v-for="(item, index) in data.list.items"
                  :key="index"
                  class="team-ops-spotlight__list-item slp-pt-32"
                >
                  <SlpIcon
                    :name="data.list.icon"
                    size="sm"
                    alt="GitLab Logo Tanuki"
                    variant="product"
                    slp-color="accent-200"
                    class="slp-mr-16"
                  ></SlpIcon>
                  <SlpTypography tag="span" variant="body2-bold">
                    {{ item }}
                  </SlpTypography>
                </li>
              </ul>
            </div>
          </SlpColumn>
        </SlpRow>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
@import 'assets/css/animations';
.team-ops-spotlight {
  overflow: hidden;
  background: #cddffb;
  position: relative;

  &__title {
    padding-bottom: $spacing-48;
  }

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }
  &__container {
    position: relative;
  }
  &__content {
    padding: $spacing-48 0 $spacing-96 0;
    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 0;
    }
  }

  &__description {
    margin: $spacing-16 0;
    &:deep p {
      margin: $spacing-16 0;
    }
  }

  &__block {
    background: $color-primary-300;
    border: 2px solid $color-primary-200;
    box-shadow: $spacing-32 $spacing-32 #6d9add;
    border-radius: 0 0 90px 0;
    margin-top: $spacing-48;
    padding: $spacing-48 $spacing-24 $spacing-64 $spacing-24;
    width: calc(100% - $spacing-32);
    @media (min-width: $breakpoint-lg) {
      margin-top: 0;
      padding: $spacing-48 $spacing-48 $spacing-64 $spacing-48;
    }
  }
  &__list-item {
    display: flex;
  }
  .circle-2 {
    position: absolute;
    width: 381px;
    height: 381px;
    border: 2px solid #6d9add;
    border-radius: 100%;
    top: -203px;
    right: -315px;
    opacity: 0.2;
    @media (min-width: $breakpoint-sm) {
      right: -290px;
    }
  }
  .circle-3 {
    position: absolute;
    width: 515px;
    height: 515px;
    border: 2px solid #6d9add;
    border-radius: 100%;
    top: -120px;

    left: -395px;
    opacity: 0.2;
    @media (min-width: $breakpoint-sm) {
      left: -340px;
    }
    @media (min-width: $breakpoint-lg) {
      left: 50%;
      transform: translateX(-50%);
    }
  }
}
</style>
